# Poco

# class EventChannel

Library: Foundation
Package: Logging
Header: Poco/EventChannel.h

## Description

The EventChannel fires the messageLogged event for every log message received. This can be used to hook custom log message processing into the logging framework.

## Inheritance

Direct Base Classes: Channel

All Base Classes: Channel, Configurable, RefCountedObject

## Member Summary

Member Functions: log

Inherited Functions: close, duplicate, getProperty, log, open, referenceCount, release, setProperty

## Types Aliases

### Ptr

using Ptr = AutoPtr < EventChannel >;

## Constructors

### EventChannel

EventChannel();

Creates the EventChannel.

## Destructor

### ~EventChannel

~EventChannel();

Destroys the EventChannel.

## Member Functions

### log

void log(
const Message & msg
);

Fires the messageLogged event.

See also: Poco::Channel::log()

## Variables

### messageLogged

Poco::BasicEvent < const Message > messageLogged;

Fired when a message is logged by calling the log() method.